Page MenuHomePhabricator

CLL problems on Timeless skin
Closed, ResolvedPublic

Description

CLL input field at the top looks poorly styled:


On screen sizes below 1100px, Timeless skin changes layout and CLL is accessible through dropdown menu. Clicking on "X more languages" button opens the dialog, which is hanging when languages menu closes.

Language menu openedCLL detached when language menu is closed

Event Timeline

It is not clear to me what is the expected fix. Should we ask for Design input?

It is not clear to me what is the expected fix. Should we ask for Design input?

This is probably external from CLL team's point of view. The issues are minor, but expected fixes are:

  • CLL input field looking the same as with other skins. Input should not overlap with border line that should separate it from list of languages.
  • Detached CLL could be centered and have the anchor removed or have menu opened while CLL is showing. This part may require design input, like you noted.
Amire80 moved this task from Backlog to Upstream on the ULS-CompactLinks board.Feb 8 2018, 8:17 AM
ashley moved this task from Backlog to Compatibility on the Timeless board.Jun 24 2018, 5:02 PM

Change 530618 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/skins/Timeless@master] Be more specific with form formatting

https://gerrit.wikimedia.org/r/530618

Change 530618 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Be more specific with form formatting

https://gerrit.wikimedia.org/r/530618

Isarra added a subscriber: Isarra.

Not sure how to fix the actual hanging problem, which... is likely going to stand out even more since it will now happen all the time. Crap.

Isarra closed this task as Resolved.Aug 29 2019, 9:57 PM
Isarra claimed this task.

So since the menus are now js click-based and stay put when clicking on them, and the ULS flyout is consistent with this behaviour... I think we're good here.